Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 227442

Summary: gnome-cd crashes when run
Product: [Fedora] Fedora Reporter: Aaron Konstam <akonstam>
Component: gnome-mediaAssignee: Bastien Nocera <bnocera>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-06 19:10:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
log of strace run on execution line above
none
gdb stack trace of the failed run of gnome-cd none

Description Aaron Konstam 2007-02-05 22:22:05 UTC
Description of problem:
when: gnome-cd --unique --play --device /dev/hdc
is run it produces a segmentation fault

Note: may be related to bug: 187602

If gnome-cd  /dv/hdc is run it reports it cannot find the CD but does not
sementation fault

Version-Release number of selected component (if applicable):
gnome-media-2.16.1-2.fc6

How reproducible:

every time.

Steps to Reproduce:
1.gnome-cd --unique --play --device /dev/hdc  is run
2.
3.
  
Actual results:

segmentation fault
Expected results:
plays the CD

Additional info:

Comment 1 Aaron Konstam 2007-02-05 22:22:06 UTC
Created attachment 147411 [details]
log of strace run on execution line above

Comment 2 Bastien Nocera 2007-04-19 14:35:52 UTC
Could you please gather a backtrace of the crash, following the instructions at:
http://fedoraproject.org/wiki/StackTraces

Comment 3 Aaron Konstam 2007-04-19 20:23:27 UTC
A stack trace of the execution was included as an attachment in this bug report.

Comment 4 Bastien Nocera 2007-04-20 09:52:56 UTC
(In reply to comment #3)
> A stack trace of the execution was included as an attachment in this bug report.

No, it's not a stack trace (or backtrace), it's the output of strace. See the
page mentioned above, you need to use gdb to capture a stack trace.

Comment 5 Aaron Konstam 2007-05-14 15:24:29 UTC
Created attachment 154656 [details]
gdb stack trace of the failed run of gnome-cd

Comment 6 Aaron Konstam 2007-06-19 13:45:08 UTC
We are no faced with an argument I have with Rahul. I was convinced that
bugzillas were essential to giving the developers feedback. But this bugzilla
has maintained my perfect record of never getting any results to help me
understand the problem.

I supplied the gdb stacktrace and received bubkas (really nothing) in return. Do
bugzillas actually lead to progress on problems since I have never had that
experience.
Aaron Konstam

Comment 7 Bastien Nocera 2007-06-19 14:17:20 UTC
(In reply to comment #6)
<snip>
> I supplied the gdb stacktrace and received bubkas (really nothing) in return. Do
> bugzillas actually lead to progress on problems since I have never had that
> experience.

Certainly not going to be fixed if you keep the bug in NEEDINFO once you've
provided the information.

The backtrace you provided isn't full, and you don't have the debuginfo packages
for the package installed (so no filenames, or line numbers).

Please install the -debuginfo package necessary until you see all file names and
line numbers for all the calls on the line (how to install the debuginfo
packages is explained in the StackTraces page mentioned above), and make sure
you include the _full_ gdb output.

Comment 8 Aaron Konstam 2007-06-19 20:57:00 UTC
I haven't a clue what you are talking about. I followed your instructions on
producing the backtrace. The fact that yo need to changes the status of the
bugzilla from NEEDINFO was never exp[lained to me. I have not the slightest idea
what you are claiming is wrong with the backtrace I sent you since I followed
the instructions you pointed to exactly.

This is why so many users are turned off on Bugzilla. As far as I can see it is
next to impossible to use properly and again I have never got a sucessful
resolution of any bugzilla problem using this tool.

Again I did follow the instructions and sent you all the output I produced. I am
at a loss to see what you are complaining about.

Comment 9 Bastien Nocera 2007-06-19 22:09:10 UTC
(In reply to comment #8)
> I haven't a clue what you are talking about. I followed your instructions on
> producing the backtrace. The fact that yo need to changes the status of the
> bugzilla from NEEDINFO was never exp[lained to me.

That's how all bugzillas work.

> I have not the slightest idea
> what you are claiming is wrong with the backtrace I sent you since I followed
> the instructions you pointed to exactly.

You didn't install the debuginfo packages for the libraries present in the
backtrace, or they don't match the versions of the packages you have installed.
These are the explanations on what a debuginfo package is, and how to install it:
http://fedoraproject.org/wiki/StackTraces#head-ab3f55f27c6d25af95084cef6c25c1475990f2ec


Also make sure that the version of the debuginfo package installed matches
exactly the version of the packages installed on your system.

If you paste the full output of gdb (from the moment you start it), it'll show
whether it could load the debugging symbols or not.

> This is why so many users are turned off on Bugzilla. As far as I can see it is
> next to impossible to use properly and again I have never got a sucessful
> resolution of any bugzilla problem using this tool.

That's funny, I got plenty. The bug reporting tool might not be the easiest to
use, but a good backtrace will lead to the bug being fixed. I can't do it otherwise.


Comment 10 Bug Zapper 2008-04-04 06:06:42 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 11 Bug Zapper 2008-05-06 19:10:18 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.